---
lang: en
title: 'API docs: service-proxy.serviceproxymetadata'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/service-proxy
permalink: /doc/en/lb4/apidocs.service-proxy.serviceproxymetadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/service-proxy](./service-proxy.md) &gt; [ServiceProxyMetadata](./service-proxy.serviceproxymetadata.md)

## ServiceProxyMetadata class

Metadata for a service proxy

<b>Signature:</b>

```typescript
export declare class ServiceProxyMetadata implements InjectionMetadata 
```
<b>Implements:</b> [InjectionMetadata](./context.injectionmetadata.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(dataSource)](./service-proxy.serviceproxymetadata._constructor_.md) |  | Constructs a new instance of the <code>ServiceProxyMetadata</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [dataSource?](./service-proxy.serviceproxymetadata.datasource.md) |  | juggler.DataSource | <i>(Optional)</i> |
|  [dataSourceName?](./service-proxy.serviceproxymetadata.datasourcename.md) |  | string | <i>(Optional)</i> |
|  [decorator](./service-proxy.serviceproxymetadata.decorator.md) |  | string |  |


